





     BFGS                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        bfgs,<xxxx>,nits,stol
     --------------------------------------------------------

     The 'bfgs' macro computes a  solution  using  a  quasi-
Newton  method  with  BFGS (Broyden-Fletcher-Goldfarb-Shano)
updates.  The macro must be called at the  beginning  of  an
analysis  - prior to the computation of any solutions with a
tangent matrix.  It is intended for  use  on  problems  with
symmetric  tangents.   FEAP  computes  a  new tangent at the
beginning of each time step.  Subsequently, the program will
compute  up  to  "nits"  updates  before  computing  another
tangent.  The value of "stol" is used in connection  with  a
line search algorithm to compute a new solution.

A typical algorithm using BFGS could be:

     LOOP,,N
     TANG
     BFGS,,10,0.8
     NEXT

In the above a tangent will be computed and factored.   BFGS
would  then perform 10 iterations and use line search on any
step in which the energy was greater than 0.8 times a previ-
ous maximum.






























                     November 27, 1991





                           - 2 -



























































                     November 27, 1991


