





     CONT                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        cont,<off>,n,pen
     --------------------------------------------------------

     The 'cont' macro is used to activate the contact  logic
during  macro  execution.   It  is necessary to describe the
surfaces which may come into  contact  during  the  analysis
when  specifying  the  mesh data (i.e., see ICON in the FEAP
MESH USERS MANUAL).   The contact logic may be skipped  dur-
ing  execution  of  a macro program (even though the contact
surfaces are defined using ICON) by: 1.) never specifying  a
'cont'  macro  instruction,  or  2.) by specifying the 'off'
option in the second field.

     The program will automatically readjust the profile  of
the  equations during each computation of a 'tangent' matrix
to account for the current configuration of contacting  sur-
faces.

     During execution it is possible to reset the  value  of
the  penalty  parameter  on  any  contact surface, 'n', to a
value of 'pen'.  This permits the adjustment of the  penalty
parameter  from a smaller to larger value during iterations.
For problems in which large deformations occur  the  conver-
gence to a solution may lead to a large number of iterations
when large penalty parameters are involved.  On  the  other-
hand,  the  use  of  a lower penalty parameter may result in
unacceptable large penetrations across the contact  surface.
In  these  situations,  it  is  recommended that the penalty
parameter be adjusted to larger values during the  iteration
process in each load.

























                     November 27, 1991





                           - 2 -



























































                     November 27, 1991


