





     DATA                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        data,xxxx
     --------------------------------------------------------

     During macro execution it  is  sometimes  desirable  to
progressively change parameters, e.g., the time step size or
the solution tolerance accuracy.  This could become  cumber-
some  and  require  an excessive number of macro commands if
implemented directly.  Accordingly, the 'data'  command  may
be  used  in instances when the time step or tolerance is to
be varied during a 'loop' execution.  The permissible values
for 'xxxx' are:
     xxxx  =  tol
     xxxx  =  dt

The actual values of the tolerance or  time  step  size  are
given  after the 'end' macro statement using the data inputs
specified in the 'tol' or 'dt'  manuals.   For  example,  to
vary time steps during a loop the commands:

     loop,time,3
     data,dt
     time
     ...
     ...
     next,time
     ....
     ...
     end
     dt,,0.1
     dt,,0.2
     dt,,0.4


could be given to indicate three time steps with dt  =  0.1,
0.2, and 0.4 respectively.




















                     November 27, 1991





                           - 2 -



























































                     November 27, 1991


