





     INIT                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        init,disp
        init,rate
     --------------------------------------------------------

     Non-zero initial displacements or rates (e.g.,  veloci-
ties)  for  a  dynamic  solution  may be specified using the
'init' macro command.  The values for  any  non-zero  vector
are  specified after the 'end ' macro command for batch exe-
cutions and may be generated in a manner  similar  to  nodal
generations  in  the  mesh input.  For interactive execution
prompts are given for the corresponding data.   Accordingly,
the vectors are input as:

       n1,ng1,v1-1, . . . ,v1-ndf
       n2,ng2,v2-1, . . . ,v2-ndf
       etc.

where, 'n1' and 'n2' define  two  nodes;  'ng1'  defines  an
increment  to  node  'n1'  to be used in generation; 'v1-1',
'v2-1' define values for the  first  degree  of  freedom  at
nodes  'n1',  'n2',  respectively;  etc.  for  the remaining
degree of freedoms.  Generated values are linearly  interpo-
lated  using the 'v1' and 'v2' values; etc.  for the remain-
ing degree of freedoms.  Note that 'ng2'  is  used  for  the
next  pair  of  generation  records.  If a value of 'ng1' or
'ng2' is zero or blank, no generation is  performed  between
'n1' and 'n2'.




























                     November 27, 1991





                           - 2 -



























































                     November 27, 1991


