





     ELIN                                    FEAP MESH USERS MANUAL
     --------------------------------------------------------------
        elin
        idir,x1,x2,(idl(i),i=1,ndf)
        <terminate with a blank record>
     --------------------------------------------------------------

     A mesh may be generated in feap in which it is  desired
to let the values at more than one node share the same 'dis-
placement' unknown.  For example,  in  repeating  structures
the value of the dependent variable will be the same at each
repeating interval.  In a finite element model it is  neces-
sary  to  specify  the  repeating condition by 'linking' the
degrees-of-freedom at theses nodes to the  same  unknown  in
the  equations.   The 'elin' command (and/or the 'link' com-
mand) is used for this purpose.

     To use the 'elin' option the complete mesh  must  first
be defined.  After the 'end' command for the mesh definition
and before the 'macr'o, 'batc'h,  or  'inte'ractive  command
for  defining  a solution algorithm, the use a 'elin' state-
ment together with the appropriate specification of  coordi-
nate planes defining the nodes to be linked.

     The input data is interpretted as follows:

     idir     --     Coordinate direction of normal to plane
                     containing nodes to be linked.
     x1       --     Coordinate value for x-idir to define one
                     plane of nodes.
     x2       --     Coordinate value for x-idir to define other
                     plane of nodes.
     idl(1)   --     linking condition, 0 = link, non-zero do
                     not link this dof.
     idl(2)   --     linking condition, 0 = link, non-zero do
                     not link this dof.
        etc. for 'ndf' degree of freedoms

Termination of input occurs with a blank record.   The  pro-
gram will search for all nodes on the x1-plane whose coordi-
nates on the x2-plane have the same values,  except  in  the
'idir'  direction  and link the degrees-of-freedom according
to the values specified in the 'idl'  array.   For  example,
the data:

          1,5.25,-5.25,0,0,1

will link all nodes on the plane with x1  =  5.25  (i.e.  1-
direction  value) to nodes on the plane x2 = -5.25, provided
y1 = y2, z1 = z2 (assuming  a  three  dimensional  problem).
The  link  pattern  indicates only the first two degrees-of-
freedom have the same value, while the third degree of free-
dom may be different on each plane.




                     February 23, 1991





                           - 2 -


     See the manual on LINK for  an  alternative  method  to
link nodes.























































                     February 23, 1991





                           - 3 -



























































                     February 23, 1991


