





     LINK                                    FEAP MESH USERS MANUAL
     --------------------------------------------------------------
        link
        node1,node2,inc1,inc2,(idl(i),i=1,ndf)
        <terminate with a blank record>
     --------------------------------------------------------------

     A mesh may be generated in feap in which it is  desired
to  let  the  some or all of the degree-of-freedom values at
more than one node share the  same  'displacement'  unknown.
For example, in repeating structures the value of the depen-
dent variable will be the same at each  repeating  interval.
In  a  finite  element  model it is necessary to specify the
repeating condition by 'linking' the  degree-of-freedoms  at
theses  nodes  to  the  same  unknown in the equations.  The
'link' command is used for this purpose.

     To use the 'link' option the complete mesh  must  first
be defined.  After the 'end' command for the mesh definition
and before the 'macr'o, 'batc'h,  or  'inte'ractive  command
for  defining  a  solution  algorithm,  the  use of a 'link'
statement together with  the  list  of  affected  nodes  and
degree-of-freedoms  will cause the program to search for all
conditions that are to be connected together.

     The input data is interpretted as follows:

     node1   --     node on one body to be linked
     node2   --     node on other body to be linked
     inc1    --     increment to generate additional nodes
                    for node1
     inc2    --     increment to generate additional nodes
                    for node2
     idl(1)  --     linking condition, 0 = link, non-zero do
                    not link this dof.
     idl(2)  --     linking condition, 0 = link, non-zero do
                    not link this dof.
        etc. for 'ndf' degree of freedoms

Generation is accomplished by giving a pair of  records.   A
generation  terminates  whenever  one  of  the  sequences is
reached.  For example:

          5,105,3,5,1,0,1
          15,140,,,1,1,0

will generate a sequence of links

            Node 1     Node 2      Link Codes
               5        105       1     0     1
               8        110       1     0     1
              11        115       1     0     1
              14        120       1     0     1
              15        140       1     1     0



                       March 7, 1992





                           - 2 -


Termination of input occurs with a blank record.

     Whenever it is  desired  to  only  connect  'node1'  to
'node2',  'inc1'  and 'inc2' need not be specified (they may
be blank or zero).




















































                       March 7, 1992


