





     TRIB                                    FEAP MESH USERS MANUAL
     --------------------------------------------------------------
          trib
          nodes,n-inc,node1,[elmt1,mat]
          1, x1, y1, z1    (only ndm coordinates required)
          2, x2, y2, z2
          etc., until all 'nodes' records are input.
     --------------------------------------------------------------

     The "trib" data input segment is  used  to  generate  a
triangular  two  dimensional  patch of nodes and 3-node tri-
angular elements.

     The  patch  of  nodes/elements  defined  by  "trib"  is
developed  from a master element which is defined by an iso-
parametric 3-6 node mapping function in terms of the natural
coordinates  "L1",  "L2"  and  "L1".   The  first three node
numbers on the master  element  of  each  patch  defined  by
"trib"  are the vertex nodes of the master patch.  The addi-
tional nodes are 4 - midside of edge 1-2;  5  -  midside  of
edge  2-3;  and  6  - midside of edge 3-1.  The vertex nodes
must be specified. Midside nodes are optional.

     The node spacing may be varied by a  proper  specifica-
tion  of  the mid-side nodes.  Thus, it is possible to "con-
centrate" nodes/elements into one corner of the  patch  gen-
erated  by  "trib".   The  mid-nodes  must  lie  within  the
central-half of each edge to keep the isoparametric  mapping
single valued for all points.

     Patches may be interconnected  using  the  "tie"  macro
will merge any nodes which have the same coordinates.

     The data parameters are defined as:

nodes-  number of master nodes needed to define the patch.

n-inc-  number of nodal increments  to  be  generated  along
     each side of the patch.

node1-  number to be assigned to  first  generated  node  in
     patch  (default  =  1).   First node is located at same
     location as master node 1.  Last generated node is  (n-
     inc  + 2)*(n-inc + 1)/2 and is located at same location
     as master node 3.

elmt1-  number to be assigned to first element generated  in
     patch; if zero no elements are generated (default = 0).
     A total of (n-inc)*(n-inc) elements are generated.

matl -  material number to be assigned to all generated ele-
     ments in patch (default = 1)





                     September 4, 1991





                           - 2 -



























































                     September 4, 1991


