





     ACCE                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        acce,,<n1,n2,n3>
        acce,coor,idir,xi
        acce,list,n1
        acce,all
     --------------------------------------------------------

     The macro command 'acce'  may  be  used  to  print  the
current values of the "acceleration" vector as follows:

1.)  Using the macro command:
            acce,,n1,n2,n3

     prints out the current acceleration  vector  for  nodes
     'n1'  to  'n2' at increments of 'n3' (default = 1).  If
     'n2' is not specified only the value of  node  'n1'  is
     output.   If  both 'n1' and 'n2' are not specified only
     the first nodal acceleration is reported.

2.)  If the macro command is specified as:

            acce,coor,idir,xi

     prints all nodal quantities for the  coordinate  direc-
     tion 'idir' with value equal to 'xi'.
          Example:  acce,coor,1,3.5 will print all the nodal
                          accelerations which have x-1 = 3.5.

     This is useful in finding the nodal values along a par-
     ticular constant coordinate line.

3.)  If the macro command is specified as:

            acce,list,n1

     all nodal quantities contained in  'list'  number  'n1'
     are  output (see macro command 'list' for specification
     of the list).
          Example:  acce,list,3 will print all the nodal accelerations
                                which are in list number 3.

4.)  If the macro command is specified as:
            acce,all

     prints all nodal quantities.

     In order to output a solution vector it is first neces-
sary  to  specify  macro  commands  to  compute  the desired
values, i.e., a dynamic analysis.







                     November 27, 1991





                           - 2 -



























































                     November 27, 1991


