





     REAC                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        reac,,<n1,n2,n3>
        reac,coor,idir,xi
        reac,all
     --------------------------------------------------------

     Nodal reactions may be computed for all  nodes  in  the
problem.   and reported for nodes 'n1' to 'n2' at increments
of 'n3' (default = 1).  If 'n2' is not specified  then  only
the  value for node 'n1' is output.  When both 'n1' and 'n2'
are not specified only values for node '1' is output.

     If the macro command is specified as:

          reac,coor,idir,xi

     prints all nodal reactions for the coordinate direction
'idir' with value equal to 'xi'.
     Example:  reac,coor,1,3.5 will print all the nodal
               reactions which have x-1 = 3.5.

     This is useful in finding the nodal values along a par-
ticular constant coordinate line.

     All reactions may be output with  the  'reac,all'  com-
mand.

     In addition to the "reaction" at each degree of freedom
an  equilibrium check is performed by summing the values for
each degree of freedom over all nodes in the analysis.   The
sum  of the absolute value of the reaction at each degree of
freedom is also reported to indicate the accuracy  to  which
equilibrium  is  attained.  It should be noted that problems
with rotational degrees of freedom or in curvilinear coordi-
nates  may  not  satisfy  an equilibrium check of this type.
For example, the sum for the radial direction in an  axisym-
metric analysis will not be zero due to the influence of the
"hoop stresses".

     In addition to sums over all the nodes a  sum  is  com-
puted  for only the nodes output.  This permits the check of
equilibrium on specified series of nodes, or the computation
of  the  applied  load on a set of nodes in which motions or
restraints are specified.












                     November 27, 1991





                           - 2 -



























































                     November 27, 1991


